Subject: Re: [Ksummit-2012-discuss] [ATTEND] stable kernel stuff and grumpy maintainers [bisection/rebase/-next]

From: "Paul E. McKenney" <[email-masked]>
Date: Thu, 21 Jun 2012 17:03:20 -0700

On Thu, Jun 21, 2012 at 07:45:48PM -0400, Steven Rostedt wrote:
> On Thu, 2012-06-21 at 16:38 -0700, Paul E. McKenney wrote:
> 
> > Let me make sure that I understand the current state:
> > 
> > 1.	Fengguang pulls from my tree (presumably from rcu/next)	
> > 	whenever I push something.  He tests my commits in isolation
> > 	from other maintainers' commits.
> > 	
> > 2.	Stephen also pulls from my tree (rcu/next) whenever I push
> > 	something.  However, Stephen tests the merge of all
> > 	maintainers' commits.
> > 
> > So it sounds to me that Stephen is already doing the job that Steven
> > is suggesting should be done.
> > 
> > So, what am I missing here?
> 
> That linux-next is only for code that's ready for the next release
> cycle.
> 
> What would be nice is a single public repository that holds development
> code that is not ready for the next release cycle, but is in a "working
> state". Basically, one of your "not for inclusion" changes.
> 
> For those of us with test machines, it may be nice that we also perform
> some testing, as Fengguang may not hit all permutations that others may
> find.

So you are suggesting:

3.	Someone pulls from my tree (rcu/dev) whenever I push something,
	and tests the merge of all maintainers' commits.

My rcu/dev branch is often just a preview of rcu/next, but I sometimes
have longer lived topic branches (for example, the current rcu/idle
branch with stuff related to Frederic's work).  So maybe this tree
needs to pull from all of my "rcu/" branches.

							Thanx, Paul